View Issue Details

IDProjectCategoryView StatusLast Update
0023940CommunityOCCT:Visualizationpublic2013-12-19 13:58
ReporterPawel Assigned Todbv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2008 
Product Version6.6.0 
Target Version6.7.0Fixed in Version6.7.0 
Summary0023940: Point markers not displayed correctly after one viewer has been closed.
DescriptionPoint markets are displayed correctly only if the first viewer is still open. After closing it, the point markers are not displayed correctly (see reproducer and pictures below) - sometimes they disappear at all, sometimes are displayed as numbers etc.
Steps To Reproduce- Start the MFC 'Viewer 2d' sample.
- Click 'Test Markers' and see the results
- Close the document and open a new one
- Click 'Test Markers' and see the results (!)
======================

- Start the MFC 'Modeling' sample.
- Click 'Mirror Point' and see the results
- Close the document and open a new one
- Click 'Mirror Point' and see the results (!, pay attention to the mirror point)
TagsNo tags attached.
Test case number

Attached Files

  • Viewer2d_FirstDocument.png (64,408 bytes)
  • Viewer2d_SecondDocument.png (67,321 bytes)
  • Modeling_FirstDocument.png (48,059 bytes)
  • Modeling_SecondDocument.png (50,707 bytes)
  • Modeling_FirstDocumentActive.png (82,874 bytes)

Relationships

related to 0023941 closeddbv Community ColorScale texts not displayed correctly after one viewer has been closed. 

Activities

Pawel

2013-04-30 10:57

developer  

Viewer2d_FirstDocument.png (64,408 bytes)

Pawel

2013-04-30 10:57

developer  

Viewer2d_SecondDocument.png (67,321 bytes)

Pawel

2013-04-30 10:58

developer  

Modeling_FirstDocument.png (48,059 bytes)

Pawel

2013-04-30 10:58

developer  

Modeling_SecondDocument.png (50,707 bytes)

Pawel

2013-04-30 10:59

developer  

Modeling_FirstDocumentActive.png (82,874 bytes)

san

2013-09-05 17:37

developer   ~0025469

Please, check if this problem is resolved after correction of #23654, and reassign to bugmaster with feedback status asking to close this one.

Pawel

2013-09-05 19:26

developer   ~0025474

I think the implementation in #23654 is not complete at the moment.

When I try to display AIS_Trihedron (upon document creation) I get a crash in OpenGl_Context::GetResource (OpenGl_Context.cxx, line 1038) - maybe a separate issue should be created for this.

However, point markers are displayed correctly after one viewer has been closed.

dbv

2013-10-01 13:55

developer   ~0025812

Dear bugmaster,

this issue has been fixed in the patch for #0023654 and can be closed

bugmaster

2013-10-04 12:51

administrator   ~0025892

Problem was corrected by fix for CR23654

Issue History

Date Modified Username Field Change
2013-04-30 10:57 Pawel New Issue
2013-04-30 10:57 Pawel Assigned To => san
2013-04-30 10:57 Pawel File Added: Viewer2d_FirstDocument.png
2013-04-30 10:57 Pawel File Added: Viewer2d_SecondDocument.png
2013-04-30 10:58 Pawel File Added: Modeling_FirstDocument.png
2013-04-30 10:58 Pawel File Added: Modeling_SecondDocument.png
2013-04-30 10:59 Pawel File Added: Modeling_FirstDocumentActive.png
2013-04-30 12:33 san Assigned To san => dbv
2013-04-30 12:33 san Status new => assigned
2013-05-03 13:40 Pawel Relationship added related to 0023941
2013-09-05 17:37 san Note Added: 0025469
2013-09-05 19:26 Pawel Note Added: 0025474
2013-10-01 13:55 dbv Note Added: 0025812
2013-10-01 13:55 dbv Assigned To dbv => bugmaster
2013-10-01 13:55 dbv Status assigned => feedback
2013-10-04 12:51 bugmaster Assigned To bugmaster => dbv
2013-10-04 12:51 bugmaster Status feedback => tested
2013-10-04 12:51 bugmaster Note Added: 0025892
2013-10-04 12:51 bugmaster Status tested => verified
2013-10-04 12:51 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0